# steward-io

Official Ruby client for [Steward](http://steward.io)

## Installation

Add this line to your application's Gemfile:

    gem 'steward-io'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install steward-io

## Usage

Connect to your Steward account with your access token

```ruby
client = Steward::Client.new("st3w08aa8c4tb3w7a45rd10ef4c274d1")
```

Notify Steward your job has started

```ruby
client.job_started("4zWz31k")
# => {"job"=>"4zWz31k", "status"=>"started"}
```

Notify Steward your job has finished

```
client.job_finished("4zWz31k")
# => {"job"=>"4zWz31k", "status"=>"completed"}
```

Notify Steward your job failed

```ruby
client.job_failed("4zWz31k")
# => {"job"=>"4zWz31k", "status"=>"failed"}
```

or just wrap your code inside a block.

```ruby
client.job("4zWz31k") do
  # your code here
end
# => {"job"=>"4zWz31k", "status"=>"completed"}
```

The client will handle the start and end calls to Steward. If any exceptions
were raised inside the block, Steward will be notified that the job did actually fail.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
